Create a new gateway
curl --request POST \
--url https://api.quiva.ai/gateway \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": true
}
'import requests
url = "https://api.quiva.ai/gateway"
payload = {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My API Gateway',
description: 'Gateway for my service APIs',
active: true
})
};
fetch('https://api.quiva.ai/gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/gateway",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My API Gateway',
'description' => 'Gateway for my service APIs',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/gateway"
payload := strings.NewReader("{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/gateway")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/gateway")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_body{
"body": {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"url": "https://abc123.quiva.ai",
"subject": "ms.gateway.abcdef123456.gateway",
"active": true,
"timeout": 30000,
"limit": {
"request": 10000,
"time": 1000
},
"modified": 1713531894,
"type": "created"
},
"metadata": {
"subject": "ms.gateway.abcdef123456.gateway"
}
}{
"error": "Invalid request parameters"
}Gateways
Create a new gateway
Creates a new gateway with a unique topic and URL.
POST
/
gateway
Create a new gateway
curl --request POST \
--url https://api.quiva.ai/gateway \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": true
}
'import requests
url = "https://api.quiva.ai/gateway"
payload = {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My API Gateway',
description: 'Gateway for my service APIs',
active: true
})
};
fetch('https://api.quiva.ai/gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/gateway",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My API Gateway',
'description' => 'Gateway for my service APIs',
'active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/gateway"
payload := strings.NewReader("{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/gateway")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/gateway")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My API Gateway\",\n \"description\": \"Gateway for my service APIs\",\n \"active\": true\n}"
response = http.request(request)
puts response.read_body{
"body": {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"url": "https://abc123.quiva.ai",
"subject": "ms.gateway.abcdef123456.gateway",
"active": true,
"timeout": 30000,
"limit": {
"request": 10000,
"time": 1000
},
"modified": 1713531894,
"type": "created"
},
"metadata": {
"subject": "ms.gateway.abcdef123456.gateway"
}
}{
"error": "Invalid request parameters"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json